### Constructor

# Gck Module new

#### Declaration [src]

    GckModule*
    gck_module_new (
      CK_FUNCTION_LIST_PTR funcs
    )

#### Description [src]

Create a `GckModule` representing a PKCS#11 module. It is assumed that this the module is already initialized. In addition it will not be finalized when complete.

This constructor is not directly available to language bindings.

#### Parameters

`funcs`

  Type: `CK_FUNCTION_LIST_PTR`

  Initialized PKCS#11 function list pointer.

#### Return value

Type: `GckModule`

The new PKCS#11 module.

The caller of the function takes ownership of the data, and is responsible for freeing it.